<?php

error_reporting(0);
error_reporting(E_ALL);
header('Content-type: text/html; charset=utf-8');

if (version_compare(PHP_VERSION, '5.4.0', '<')) {
	ini_set('magic_quotes_runtime', 0);
	define('MAGIC_QUOTES_GPC', get_magic_quotes_gpc() ? true : false);
} else {
	define('MAGIC_QUOTES_GPC', false);
}
define('WF_SYS_WIN', 'WIN' === strtoupper(substr(PHP_OS, 0,3)));

define('WEB_ROOT', str_replace(array('\\','//'), '/', dirname(__FILE__) . '/'));
define('WEB_PATH', str_replace(array('\\','//'), '/', dirname($_SERVER['SCRIPT_NAME']) . '/'));

define('WF_CORE_ROOT', WEB_ROOT . 'core/');
define('WF_DATA_PATH', WEB_ROOT . 'data/');

define('WF_API_ON',  false);
define('WF_API_KEY', 'eaa043d7d932729623439f2216fb86f6');
define('WF_API_URL', 'http://fms.smart.net/admin/user_info.json.php');

require WF_CORE_ROOT . 'Functions.php';
require WF_CORE_ROOT . 'FileFS.class.php';

if (WF_API_ON) {
	require WF_CORE_ROOT . 'AuthRemote.class.php' ;
} else {
	require WF_CORE_ROOT . 'AuthLocal.class.php';
}

set_error_handler('error_handler_fun');
if (function_exists('date_default_timezone_set')) {
	date_default_timezone_set('PRC');
}

if (isset($_GET['wf_ssid']) && !empty($_GET['wf_ssid'])) {
	session_id($_GET['wf_ssid']);
}
session_name('webftp_ssid');
session_save_path(WF_DATA_PATH . 'session');
session_set_cookie_params(1800, WEB_PATH);
session_start();

$_CONFIG = array(
	'SYSTEM_NAME'           => 'WebFTP',
	'SYSTEM_VERSION'        => 'v3.6.2 专业版',

	'LOG_ON'  				=> true, 	
	'LOG_TYPE'    			=> 'EMERG,ALERT,CRIT,ERR,WARNING,NOTICE,INFO,DEBUG',
	'LOG_FILE_SIZE'         => 2097152, 
	'LOG_SAVE_TYPE'         => 2,       

	'ROOT_PATH' => './data/nfs',
	'USER_PATH' => '/_xx_',       


	'UPLOAD' => array(
		'chunk_size'    => min(8, intval(ini_get('upload_max_filesize'))),
		'max_file_size' => 1024, 
		'filters' => array(
			array('All Files (*.rar;*.htm;*.jpg;*.pdf;*.doc;*.*)', '*,rar,zip,tar,gz,7z,php,js,css,htm,html,xml,jpg,png,gif,bmp,ico,pdf,doc,ppt,xls,docx,pptx,xlsx,wps,et,dps'),
			array('Archive Files (*.rar;*.zip;*.tar;*.gz;*.7z)', 'rar,zip,tar,gz,7z'),
			array('Script Files (*.php;*.js;*.css;*.htm;*.xml)', 'php,js,css,htm,html,xml'),
			array('Images Files (*.jpg;*.png;*.gif;*.bmp;*.ico)', 'jpg,png,gif,bmp,ico'),
			array('Document Files (*.doc;*.ppt;*.xls;*.pdf;wps;*.et;*.dps)', 'pdf,doc,ppt,xls,docx,pptx,xlsx,wps,et,dps'),
		)
	),

);

wf_config($_CONFIG);
